All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::row_scaling_tag Class Reference

A tag for a row scaling preconditioner which merely normalizes the equation system such that each row of the system matrix has unit norm. More...

`#include <row_scaling.hpp>`

## Public Member Functions

| row_scaling_tag (unsigned int p=2)
| Constructor. More...
unsigned int | norm () const
| Returns the index p of the l^p-norm (0 ... ||x||_sup, 1... sum(abs(x)), 2... sqrt(sum(x_i^2))). Currently only p=0, p=1, and p=2 supported. More...

## Detailed Description

A tag for a row scaling preconditioner which merely normalizes the equation system such that each row of the system matrix has unit norm.

Definition at line 40 of file row_scaling.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::row_scaling_tag::row_scaling_tag | ( | unsigned int | p = `2` | ) |

inline

Constructor.

Parameters

  p | Integer selecting the desired row norm.

Definition at line 47 of file row_scaling.hpp.

## Member Function Documentation

unsigned int viennacl::linalg::row_scaling_tag::norm | ( |  | ) | const

inline

Returns the index p of the l^p-norm (0 ... ||x||_sup, 1... sum(abs(x)), 2... sqrt(sum(x_i^2))). Currently only p=0, p=1, and p=2 supported.

Definition at line 50 of file row_scaling.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/row_scaling.hpp